<template>
<div class="h-screen flex overflow-hidden">
  <div class="flex flex-col min-w-0 flex-1 overflow-hidden">
    <div class="flex-1 relative z-0 flex overflow-hidden">
      <main class="flex-1 relative z-0 overflow-y-auto focus:outline-none" tabindex="0">
        <article>
          <!-- Profile header -->
          <div>
            <div class="h-32 w-full lg:h-48 background">
            </div>
            <div class="max-w-5xl mx-auto px-4 sm:px-6 lg:px-8">
              <div class="-mt-12 sm:-mt-16 sm:flex sm:items-end sm:space-x-5">
                <div class="flex">
                  <img class="h-24 w-24 rounded-full ring-4 ring-white sm:h-32 sm:w-32" src="https://images.unsplash.com/photo-1463453091185-61582044d556?ixlib=rb-=eyJhcHBfaWQiOjEyMDd9&amp;auto=format&amp;fit=facearea&amp;facepad=8&amp;w=1024&amp;h=1024&amp;q=80" alt="">
                </div>
                <div class="mt-6 sm:flex-1 sm:min-w-0 sm:flex sm:items-center sm:justify-end sm:space-x-6 sm:pb-1">
                  <div class="sm:hidden 2xl:block mt-6 min-w-0 flex-1">
                    <h1 class="text-2xl font-bold text-gray-900 truncate capitalize">
                      {{user.name}}
                    </h1>
                  </div>
                  <div class="mt-6 flex flex-col justify-stretch space-y-3 sm:flex-row sm:space-y-0 sm:space-x-4">
                    <button type="button" class="inline-flex justify-center px-4 py-2 border border-gray-300 shadow-sm text-sm font-medium rounded-md text-gray-700 bg-white hover:bg-gray-50 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-pink-500">
                      <!-- Heroicon name: mail -->
                      <svg class="-ml-1 mr-2 h-5 w-5 text-gray-400" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                        <path d="M2.003 5.884L10 9.882l7.997-3.998A2 2 0 0016 4H4a2 2 0 00-1.997 1.884z" />
                        <path d="M18 8.118l-8 4-8-4V14a2 2 0 002 2h12a2 2 0 002-2V8.118z" />
                      </svg>
                      <span>Message</span>
                    </button>
                  </div>
                </div>
              </div>
              <div class="hidden sm:block 2xl:hidden mt-6 min-w-0 flex-1">
                <h1 class="text-2xl font-bold text-gray-900 truncate capitalize">
                  {{user.name}}
                </h1>
              </div>
            </div>
          </div>
          <!-- Tabs -->
          <div class="mt-6 sm:mt-2 2xl:mt-5">
            <div class="border-b border-gray-200">
              <div class="max-w-5xl mx-auto px-4 sm:px-6 lg:px-8">
                <nav class="-mb-px flex space-x-8" aria-label="Tabs">
                  <!-- Current: "border-pink-500 text-yellow-500", Default: "border-transparent text-gray-500 hover:text-gray-700 hover:border-gray-300" -->
                  <router-link :to="{name:'UsersProfil', params: {id: user.id}}" :class="`${page === 'profile' ? 'border-pink-500 text-gray-900':'border-transparent text-gray-500 hover:text-gray-700 hover:border-gray-300'} whitespace-nowrap py-4 px-1 border-b-2 font-medium text-sm`">
                    Profile
                  </router-link>
                  <router-link v-show="user.status <= 2" :to="{name:'UsersApplication', params: {id: user.id}}"  :class="`${page === 'application' ? 'border-pink-500 text-gray-900':'border-transparent text-gray-500 hover:text-gray-700 hover:border-gray-300'} whitespace-nowrap py-4 px-1 border-b-2 font-medium text-sm`">
                    Application
                  </router-link>
                </nav>
              </div>
            </div>
          </div>

          <Description v-show="page === 'profile'" :user="user"/>
          <Application v-show="page === 'application'" :user="user"/>
        </article>
      </main>
    </div>
  </div>
</div>
</template>

<script>
import { mapActions, mapGetters } from 'vuex'
import Description from '../../../../components/Profil/Description'
import Application from '../../../../components/Profil/Application'

export default {
  name: 'UsersDetail',
  components: { Description, Application },
  computed: {
    ...mapGetters('user', ['getOne']),
    user () {
      return this.getOne(this.$route.params.id)
    },
    page () {
      console.log(this.$route)
      return this.$route.meta.page
    }
  },
  methods: {
    ...mapActions('user', ['fetchOne']),
    getRoleString (roles) {
      if (roles.includes('ROLE_ADMIN')) {
        return 'Administrator'
      } else if (roles.includes('ROLE_USER')) {
        return 'User'
      }
    },
    getStatusString (status) {
      if (status <= 2) {
        return 'Waiting validation'
      } else {
        return 'Activate'
      }
    }
  },
  beforeMount () {
    this.fetchOne(this.$route.params.id)
  }
}
</script>
